# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AbsoluteMonthlySchedule,
    AdvancedNetworking,
    AdvancedNetworkingObservability,
    AdvancedNetworkingSecurity,
    AgentPool,
    AgentPoolAvailableVersions,
    AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem,
    AgentPoolDeleteMachinesParameter,
    AgentPoolListResult,
    AgentPoolNetworkProfile,
    AgentPoolSecurityProfile,
    AgentPoolUpgradeProfile,
    AgentPoolUpgradeProfilePropertiesUpgradesItem,
    AgentPoolUpgradeSettings,
    AgentPoolWindowsProfile,
    AzureKeyVaultKms,
    CloudErrorBody,
    ClusterUpgradeSettings,
    CompatibleVersions,
    ContainerServiceLinuxProfile,
    ContainerServiceNetworkProfile,
    ContainerServiceSshConfiguration,
    ContainerServiceSshPublicKey,
    CreationData,
    CredentialResult,
    CredentialResults,
    DailySchedule,
    DateSpan,
    DelegatedResource,
    EndpointDependency,
    EndpointDetail,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExtendedLocation,
    GPUProfile,
    IPTag,
    IstioCertificateAuthority,
    IstioComponents,
    IstioEgressGateway,
    IstioIngressGateway,
    IstioPluginCertificateAuthority,
    IstioServiceMesh,
    KubeletConfig,
    KubernetesPatchVersion,
    KubernetesVersion,
    KubernetesVersionCapabilities,
    KubernetesVersionListResult,
    LinuxOSConfig,
    Machine,
    MachineIpAddress,
    MachineListResult,
    MachineNetworkProperties,
    MachineProperties,
    MaintenanceConfiguration,
    MaintenanceConfigurationListResult,
    MaintenanceWindow,
    ManagedCluster,
    ManagedClusterAADProfile,
    ManagedClusterAPIServerAccessProfile,
    ManagedClusterAccessProfile,
    ManagedClusterAddonProfile,
    ManagedClusterAddonProfileIdentity,
    ManagedClusterAgentPoolProfile,
    ManagedClusterAgentPoolProfileProperties,
    ManagedClusterAutoUpgradeProfile,
    ManagedClusterAzureMonitorProfile,
    ManagedClusterAzureMonitorProfileKubeStateMetrics,
    ManagedClusterAzureMonitorProfileMetrics,
    ManagedClusterBootstrapProfile,
    ManagedClusterCostAnalysis,
    ManagedClusterHTTPProxyConfig,
    ManagedClusterIdentity,
    ManagedClusterIngressProfile,
    ManagedClusterIngressProfileNginx,
    ManagedClusterIngressProfileWebAppRouting,
    ManagedClusterListResult,
    ManagedClusterLoadBalancerProfile,
    ManagedClusterLoadBalancerProfileManagedOutboundIPs,
    ManagedClusterLoadBalancerProfileOutboundIPPrefixes,
    ManagedClusterLoadBalancerProfileOutboundIPs,
    ManagedClusterManagedOutboundIPProfile,
    ManagedClusterMetricsProfile,
    ManagedClusterNATGatewayProfile,
    ManagedClusterNodeResourceGroupProfile,
    ManagedClusterOIDCIssuerProfile,
    ManagedClusterPodIdentity,
    ManagedClusterPodIdentityException,
    ManagedClusterPodIdentityProfile,
    ManagedClusterPodIdentityProvisioningError,
    ManagedClusterPodIdentityProvisioningErrorBody,
    ManagedClusterPodIdentityProvisioningInfo,
    ManagedClusterPoolUpgradeProfile,
    ManagedClusterPoolUpgradeProfileUpgradesItem,
    ManagedClusterPropertiesAutoScalerProfile,
    ManagedClusterSKU,
    ManagedClusterSecurityProfile,
    ManagedClusterSecurityProfileDefender,
    ManagedClusterSecurityProfileDefenderSecurityMonitoring,
    ManagedClusterSecurityProfileImageCleaner,
    ManagedClusterSecurityProfileWorkloadIdentity,
    ManagedClusterServicePrincipalProfile,
    ManagedClusterStorageProfile,
    ManagedClusterStorageProfileBlobCSIDriver,
    ManagedClusterStorageProfileDiskCSIDriver,
    ManagedClusterStorageProfileFileCSIDriver,
    ManagedClusterStorageProfileSnapshotController,
    ManagedClusterUpgradeProfile,
    ManagedClusterWindowsProfile,
    ManagedClusterWorkloadAutoScalerProfile,
    ManagedClusterWorkloadAutoScalerProfileKeda,
    ManagedClusterWorkloadAutoScalerProfileVerticalPodAutoscaler,
    ManagedServiceIdentityUserAssignedIdentitiesValue,
    MeshRevision,
    MeshRevisionProfile,
    MeshRevisionProfileList,
    MeshRevisionProfileProperties,
    MeshUpgradeProfile,
    MeshUpgradeProfileList,
    MeshUpgradeProfileProperties,
    OperationListResult,
    OperationValue,
    OutboundEnvironmentEndpoint,
    OutboundEnvironmentEndpointCollection,
    PortRange,
    PowerState,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourcesListResult,
    PrivateLinkServiceConnectionState,
    ProxyResource,
    RelativeMonthlySchedule,
    Resource,
    ResourceReference,
    RunCommandRequest,
    RunCommandResult,
    Schedule,
    ServiceMeshProfile,
    Snapshot,
    SnapshotListResult,
    SubResource,
    SysctlConfig,
    SystemData,
    TagsObject,
    TimeInWeek,
    TimeSpan,
    TrackedResource,
    TrustedAccessRole,
    TrustedAccessRoleBinding,
    TrustedAccessRoleBindingListResult,
    TrustedAccessRoleListResult,
    TrustedAccessRoleRule,
    UpgradeOverrideSettings,
    UserAssignedIdentity,
    WeeklySchedule,
    WindowsGmsaProfile,
)

from ._container_service_client_enums import (  # type: ignore
    AgentPoolMode,
    AgentPoolType,
    ArtifactSource,
    BackendPoolType,
    Code,
    ConnectionStatus,
    CreatedByType,
    Expander,
    ExtendedLocationTypes,
    Format,
    GPUDriver,
    GPUInstanceProfile,
    IpFamily,
    IstioIngressGatewayMode,
    KeyVaultNetworkAccessTypes,
    KubeletDiskType,
    KubernetesSupportPlan,
    LicenseType,
    LoadBalancerSku,
    ManagedClusterPodIdentityProvisioningState,
    ManagedClusterSKUName,
    ManagedClusterSKUTier,
    NetworkDataplane,
    NetworkMode,
    NetworkPlugin,
    NetworkPluginMode,
    NetworkPolicy,
    NginxIngressControllerType,
    NodeOSUpgradeChannel,
    OSDiskType,
    OSSKU,
    OSType,
    OutboundType,
    PrivateEndpointConnectionProvisioningState,
    Protocol,
    PublicNetworkAccess,
    ResourceIdentityType,
    RestrictionLevel,
    ScaleDownMode,
    ScaleSetEvictionPolicy,
    ScaleSetPriority,
    ServiceMeshMode,
    SnapshotType,
    TrustedAccessRoleBindingProvisioningState,
    Type,
    UpgradeChannel,
    WeekDay,
    WorkloadRuntime,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AbsoluteMonthlySchedule",
    "AdvancedNetworking",
    "AdvancedNetworkingObservability",
    "AdvancedNetworkingSecurity",
    "AgentPool",
    "AgentPoolAvailableVersions",
    "AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem",
    "AgentPoolDeleteMachinesParameter",
    "AgentPoolListResult",
    "AgentPoolNetworkProfile",
    "AgentPoolSecurityProfile",
    "AgentPoolUpgradeProfile",
    "AgentPoolUpgradeProfilePropertiesUpgradesItem",
    "AgentPoolUpgradeSettings",
    "AgentPoolWindowsProfile",
    "AzureKeyVaultKms",
    "CloudErrorBody",
    "ClusterUpgradeSettings",
    "CompatibleVersions",
    "ContainerServiceLinuxProfile",
    "ContainerServiceNetworkProfile",
    "ContainerServiceSshConfiguration",
    "ContainerServiceSshPublicKey",
    "CreationData",
    "CredentialResult",
    "CredentialResults",
    "DailySchedule",
    "DateSpan",
    "DelegatedResource",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExtendedLocation",
    "GPUProfile",
    "IPTag",
    "IstioCertificateAuthority",
    "IstioComponents",
    "IstioEgressGateway",
    "IstioIngressGateway",
    "IstioPluginCertificateAuthority",
    "IstioServiceMesh",
    "KubeletConfig",
    "KubernetesPatchVersion",
    "KubernetesVersion",
    "KubernetesVersionCapabilities",
    "KubernetesVersionListResult",
    "LinuxOSConfig",
    "Machine",
    "MachineIpAddress",
    "MachineListResult",
    "MachineNetworkProperties",
    "MachineProperties",
    "MaintenanceConfiguration",
    "MaintenanceConfigurationListResult",
    "MaintenanceWindow",
    "ManagedCluster",
    "ManagedClusterAADProfile",
    "ManagedClusterAPIServerAccessProfile",
    "ManagedClusterAccessProfile",
    "ManagedClusterAddonProfile",
    "ManagedClusterAddonProfileIdentity",
    "ManagedClusterAgentPoolProfile",
    "ManagedClusterAgentPoolProfileProperties",
    "ManagedClusterAutoUpgradeProfile",
    "ManagedClusterAzureMonitorProfile",
    "ManagedClusterAzureMonitorProfileKubeStateMetrics",
    "ManagedClusterAzureMonitorProfileMetrics",
    "ManagedClusterBootstrapProfile",
    "ManagedClusterCostAnalysis",
    "ManagedClusterHTTPProxyConfig",
    "ManagedClusterIdentity",
    "ManagedClusterIngressProfile",
    "ManagedClusterIngressProfileNginx",
    "ManagedClusterIngressProfileWebAppRouting",
    "ManagedClusterListResult",
    "ManagedClusterLoadBalancerProfile",
    "ManagedClusterLoadBalancerProfileManagedOutboundIPs",
    "ManagedClusterLoadBalancerProfileOutboundIPPrefixes",
    "ManagedClusterLoadBalancerProfileOutboundIPs",
    "ManagedClusterManagedOutboundIPProfile",
    "ManagedClusterMetricsProfile",
    "ManagedClusterNATGatewayProfile",
    "ManagedClusterNodeResourceGroupProfile",
    "ManagedClusterOIDCIssuerProfile",
    "ManagedClusterPodIdentity",
    "ManagedClusterPodIdentityException",
    "ManagedClusterPodIdentityProfile",
    "ManagedClusterPodIdentityProvisioningError",
    "ManagedClusterPodIdentityProvisioningErrorBody",
    "ManagedClusterPodIdentityProvisioningInfo",
    "ManagedClusterPoolUpgradeProfile",
    "ManagedClusterPoolUpgradeProfileUpgradesItem",
    "ManagedClusterPropertiesAutoScalerProfile",
    "ManagedClusterSKU",
    "ManagedClusterSecurityProfile",
    "ManagedClusterSecurityProfileDefender",
    "ManagedClusterSecurityProfileDefenderSecurityMonitoring",
    "ManagedClusterSecurityProfileImageCleaner",
    "ManagedClusterSecurityProfileWorkloadIdentity",
    "ManagedClusterServicePrincipalProfile",
    "ManagedClusterStorageProfile",
    "ManagedClusterStorageProfileBlobCSIDriver",
    "ManagedClusterStorageProfileDiskCSIDriver",
    "ManagedClusterStorageProfileFileCSIDriver",
    "ManagedClusterStorageProfileSnapshotController",
    "ManagedClusterUpgradeProfile",
    "ManagedClusterWindowsProfile",
    "ManagedClusterWorkloadAutoScalerProfile",
    "ManagedClusterWorkloadAutoScalerProfileKeda",
    "ManagedClusterWorkloadAutoScalerProfileVerticalPodAutoscaler",
    "ManagedServiceIdentityUserAssignedIdentitiesValue",
    "MeshRevision",
    "MeshRevisionProfile",
    "MeshRevisionProfileList",
    "MeshRevisionProfileProperties",
    "MeshUpgradeProfile",
    "MeshUpgradeProfileList",
    "MeshUpgradeProfileProperties",
    "OperationListResult",
    "OperationValue",
    "OutboundEnvironmentEndpoint",
    "OutboundEnvironmentEndpointCollection",
    "PortRange",
    "PowerState",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourcesListResult",
    "PrivateLinkServiceConnectionState",
    "ProxyResource",
    "RelativeMonthlySchedule",
    "Resource",
    "ResourceReference",
    "RunCommandRequest",
    "RunCommandResult",
    "Schedule",
    "ServiceMeshProfile",
    "Snapshot",
    "SnapshotListResult",
    "SubResource",
    "SysctlConfig",
    "SystemData",
    "TagsObject",
    "TimeInWeek",
    "TimeSpan",
    "TrackedResource",
    "TrustedAccessRole",
    "TrustedAccessRoleBinding",
    "TrustedAccessRoleBindingListResult",
    "TrustedAccessRoleListResult",
    "TrustedAccessRoleRule",
    "UpgradeOverrideSettings",
    "UserAssignedIdentity",
    "WeeklySchedule",
    "WindowsGmsaProfile",
    "AgentPoolMode",
    "AgentPoolType",
    "ArtifactSource",
    "BackendPoolType",
    "Code",
    "ConnectionStatus",
    "CreatedByType",
    "Expander",
    "ExtendedLocationTypes",
    "Format",
    "GPUDriver",
    "GPUInstanceProfile",
    "IpFamily",
    "IstioIngressGatewayMode",
    "KeyVaultNetworkAccessTypes",
    "KubeletDiskType",
    "KubernetesSupportPlan",
    "LicenseType",
    "LoadBalancerSku",
    "ManagedClusterPodIdentityProvisioningState",
    "ManagedClusterSKUName",
    "ManagedClusterSKUTier",
    "NetworkDataplane",
    "NetworkMode",
    "NetworkPlugin",
    "NetworkPluginMode",
    "NetworkPolicy",
    "NginxIngressControllerType",
    "NodeOSUpgradeChannel",
    "OSDiskType",
    "OSSKU",
    "OSType",
    "OutboundType",
    "PrivateEndpointConnectionProvisioningState",
    "Protocol",
    "PublicNetworkAccess",
    "ResourceIdentityType",
    "RestrictionLevel",
    "ScaleDownMode",
    "ScaleSetEvictionPolicy",
    "ScaleSetPriority",
    "ServiceMeshMode",
    "SnapshotType",
    "TrustedAccessRoleBindingProvisioningState",
    "Type",
    "UpgradeChannel",
    "WeekDay",
    "WorkloadRuntime",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
