# pylint: disable=too-many-lines
# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    Activity,
    ActivityDependency,
    ActivityPolicy,
    ActivityRun,
    ActivityRunsQueryResponse,
    AddDataFlowToDebugSessionResponse,
    AdditionalColumns,
    AmazonMWSLinkedService,
    AmazonMWSObjectDataset,
    AmazonMWSSource,
    AmazonRdsForOracleLinkedService,
    AmazonRdsForOraclePartitionSettings,
    AmazonRdsForOracleSource,
    AmazonRdsForOracleTableDataset,
    AmazonRdsForSqlServerLinkedService,
    AmazonRdsForSqlServerLinkedServiceTypeProperties,
    AmazonRdsForSqlServerSource,
    AmazonRdsForSqlServerTableDataset,
    AmazonRedshiftLinkedService,
    AmazonRedshiftSource,
    AmazonRedshiftTableDataset,
    AmazonS3Dataset,
    AmazonS3LinkedService,
    AmazonS3Location,
    AmazonS3ReadSettings,
    AppFiguresLinkedService,
    AppendVariableActivity,
    ArtifactRenameRequest,
    AsanaLinkedService,
    AutoPauseProperties,
    AutoScaleProperties,
    AvroDataset,
    AvroFormat,
    AvroSink,
    AvroSource,
    AvroWriteSettings,
    AzureBatchLinkedService,
    AzureBlobDataset,
    AzureBlobFSDataset,
    AzureBlobFSLinkedService,
    AzureBlobFSLocation,
    AzureBlobFSReadSettings,
    AzureBlobFSSink,
    AzureBlobFSSource,
    AzureBlobFSWriteSettings,
    AzureBlobStorageLinkedService,
    AzureBlobStorageLocation,
    AzureBlobStorageReadSettings,
    AzureBlobStorageWriteSettings,
    AzureDataExplorerCommandActivity,
    AzureDataExplorerLinkedService,
    AzureDataExplorerSink,
    AzureDataExplorerSource,
    AzureDataExplorerTableDataset,
    AzureDataLakeAnalyticsLinkedService,
    AzureDataLakeStoreDataset,
    AzureDataLakeStoreLinkedService,
    AzureDataLakeStoreLocation,
    AzureDataLakeStoreReadSettings,
    AzureDataLakeStoreSink,
    AzureDataLakeStoreSource,
    AzureDataLakeStoreWriteSettings,
    AzureDatabricksDeltaLakeDataset,
    AzureDatabricksDeltaLakeExportCommand,
    AzureDatabricksDeltaLakeImportCommand,
    AzureDatabricksDeltaLakeLinkedService,
    AzureDatabricksDeltaLakeSink,
    AzureDatabricksDeltaLakeSource,
    AzureDatabricksLinkedService,
    AzureEntityResource,
    AzureFileStorageLinkedService,
    AzureFileStorageLocation,
    AzureFileStorageReadSettings,
    AzureFileStorageWriteSettings,
    AzureFunctionActivity,
    AzureFunctionLinkedService,
    AzureKeyVaultLinkedService,
    AzureKeyVaultSecretReference,
    AzureMLBatchExecutionActivity,
    AzureMLExecutePipelineActivity,
    AzureMLLinkedService,
    AzureMLServiceLinkedService,
    AzureMLUpdateResourceActivity,
    AzureMLWebServiceFile,
    AzureMariaDBLinkedService,
    AzureMariaDBSource,
    AzureMariaDBTableDataset,
    AzureMySqlLinkedService,
    AzureMySqlSink,
    AzureMySqlSource,
    AzureMySqlTableDataset,
    AzurePostgreSqlLinkedService,
    AzurePostgreSqlSink,
    AzurePostgreSqlSource,
    AzurePostgreSqlTableDataset,
    AzureQueueSink,
    AzureSearchIndexDataset,
    AzureSearchIndexSink,
    AzureSearchLinkedService,
    AzureSqlDWLinkedService,
    AzureSqlDWLinkedServiceTypeProperties,
    AzureSqlDWTableDataset,
    AzureSqlDatabaseLinkedService,
    AzureSqlDatabaseLinkedServiceTypeProperties,
    AzureSqlMILinkedService,
    AzureSqlMILinkedServiceTypeProperties,
    AzureSqlMITableDataset,
    AzureSqlSink,
    AzureSqlSource,
    AzureSqlTableDataset,
    AzureStorageLinkedService,
    AzureStorageLinkedServiceTypeProperties,
    AzureSynapseArtifactsLinkedService,
    AzureTableDataset,
    AzureTableSink,
    AzureTableSource,
    AzureTableStorageLinkedService,
    AzureTableStorageLinkedServiceTypeProperties,
    BigDataPoolParametrizationReference,
    BigDataPoolReference,
    BigDataPoolResourceInfo,
    BigDataPoolResourceInfoListResult,
    BinaryDataset,
    BinaryReadSettings,
    BinarySink,
    BinarySource,
    BlobEventsTrigger,
    BlobSink,
    BlobSource,
    BlobTrigger,
    CassandraLinkedService,
    CassandraSource,
    CassandraTableDataset,
    ChainingTrigger,
    CloudError,
    CommonDataServiceForAppsEntityDataset,
    CommonDataServiceForAppsLinkedService,
    CommonDataServiceForAppsSink,
    CommonDataServiceForAppsSource,
    CompressionReadSettings,
    ConcurLinkedService,
    ConcurObjectDataset,
    ConcurSource,
    ContinuationSettingsReference,
    ControlActivity,
    CopyActivity,
    CopyActivityLogSettings,
    CopySink,
    CopySource,
    CopyTranslator,
    CosmosDbLinkedService,
    CosmosDbMongoDbApiCollectionDataset,
    CosmosDbMongoDbApiLinkedService,
    CosmosDbMongoDbApiSink,
    CosmosDbMongoDbApiSource,
    CosmosDbSqlApiCollectionDataset,
    CosmosDbSqlApiSink,
    CosmosDbSqlApiSource,
    CouchbaseLinkedService,
    CouchbaseSource,
    CouchbaseTableDataset,
    CreateDataFlowDebugSessionRequest,
    CreateDataFlowDebugSessionResponse,
    CreateRunResponse,
    CredentialReference,
    CustomActivity,
    CustomActivityReferenceObject,
    CustomDataSourceLinkedService,
    CustomDataset,
    CustomEventsTrigger,
    CustomSetupBase,
    CustomerManagedKeyDetails,
    DWCopyCommandDefaultValue,
    DWCopyCommandSettings,
    DataFlow,
    DataFlowDebugCommandPayload,
    DataFlowDebugCommandRequest,
    DataFlowDebugCommandResponse,
    DataFlowDebugPackage,
    DataFlowDebugPackageDebugSettings,
    DataFlowDebugPreviewDataRequest,
    DataFlowDebugQueryResponse,
    DataFlowDebugResource,
    DataFlowDebugResultResponse,
    DataFlowDebugSessionInfo,
    DataFlowDebugStatisticsRequest,
    DataFlowFolder,
    DataFlowListResponse,
    DataFlowReference,
    DataFlowResource,
    DataFlowSink,
    DataFlowSource,
    DataFlowSourceSetting,
    DataFlowStagingInfo,
    DataLakeAnalyticsUSQLActivity,
    DataLakeStorageAccountDetails,
    DatabricksNotebookActivity,
    DatabricksSparkJarActivity,
    DatabricksSparkPythonActivity,
    Dataset,
    DatasetCompression,
    DatasetDataElement,
    DatasetDebugResource,
    DatasetFolder,
    DatasetListResponse,
    DatasetLocation,
    DatasetReference,
    DatasetResource,
    DatasetSchemaDataElement,
    DatasetStorageFormat,
    DataworldLinkedService,
    Db2LinkedService,
    Db2Source,
    Db2TableDataset,
    DeleteActivity,
    DeleteDataFlowDebugSessionRequest,
    DelimitedTextDataset,
    DelimitedTextReadSettings,
    DelimitedTextSink,
    DelimitedTextSource,
    DelimitedTextWriteSettings,
    DependencyReference,
    DistcpSettings,
    DocumentDbCollectionDataset,
    DocumentDbCollectionSink,
    DocumentDbCollectionSource,
    DrillLinkedService,
    DrillSource,
    DrillTableDataset,
    DynamicExecutorAllocation,
    DynamicsAXLinkedService,
    DynamicsAXResourceDataset,
    DynamicsAXSource,
    DynamicsCrmEntityDataset,
    DynamicsCrmLinkedService,
    DynamicsCrmSink,
    DynamicsCrmSource,
    DynamicsEntityDataset,
    DynamicsLinkedService,
    DynamicsSink,
    DynamicsSource,
    EditTablesRequest,
    EloquaLinkedService,
    EloquaObjectDataset,
    EloquaSource,
    EncryptionDetails,
    EntityReference,
    ErrorAdditionalInfo,
    ErrorContract,
    ErrorResponse,
    EvaluateDataFlowExpressionRequest,
    ExcelDataset,
    ExcelSource,
    ExecuteDataFlowActivity,
    ExecuteDataFlowActivityTypePropertiesCompute,
    ExecutePipelineActivity,
    ExecuteSSISPackageActivity,
    ExecutionActivity,
    ExportSettings,
    ExposureControlRequest,
    ExposureControlResponse,
    Expression,
    ExpressionV2,
    FailActivity,
    FileServerLinkedService,
    FileServerLocation,
    FileServerReadSettings,
    FileServerWriteSettings,
    FileShareDataset,
    FileSystemSink,
    FileSystemSource,
    FilterActivity,
    Flowlet,
    ForEachActivity,
    FormatReadSettings,
    FormatWriteSettings,
    FtpReadSettings,
    FtpServerLinkedService,
    FtpServerLocation,
    GetMetadataActivity,
    GetSsisObjectMetadataRequest,
    GitHubAccessTokenRequest,
    GitHubAccessTokenResponse,
    GitHubClientSecret,
    GoogleAdWordsLinkedService,
    GoogleAdWordsObjectDataset,
    GoogleAdWordsSource,
    GoogleBigQueryLinkedService,
    GoogleBigQueryObjectDataset,
    GoogleBigQuerySource,
    GoogleBigQueryV2LinkedService,
    GoogleBigQueryV2ObjectDataset,
    GoogleBigQueryV2Source,
    GoogleCloudStorageLinkedService,
    GoogleCloudStorageLocation,
    GoogleCloudStorageReadSettings,
    GoogleSheetsLinkedService,
    GreenplumLinkedService,
    GreenplumSource,
    GreenplumTableDataset,
    HBaseLinkedService,
    HBaseObjectDataset,
    HBaseSource,
    HDInsightHiveActivity,
    HDInsightLinkedService,
    HDInsightMapReduceActivity,
    HDInsightOnDemandLinkedService,
    HDInsightPigActivity,
    HDInsightSparkActivity,
    HDInsightStreamingActivity,
    HdfsLinkedService,
    HdfsLocation,
    HdfsReadSettings,
    HdfsSource,
    HiveLinkedService,
    HiveObjectDataset,
    HiveSource,
    HttpDataset,
    HttpLinkedService,
    HttpReadSettings,
    HttpServerLocation,
    HttpSource,
    HubspotLinkedService,
    HubspotObjectDataset,
    HubspotSource,
    IcebergDataset,
    IcebergSink,
    IcebergWriteSettings,
    IfConditionActivity,
    ImpalaLinkedService,
    ImpalaObjectDataset,
    ImpalaSource,
    ImportSettings,
    InformixLinkedService,
    InformixSink,
    InformixSource,
    InformixTableDataset,
    IntegrationRuntime,
    IntegrationRuntimeComputeProperties,
    IntegrationRuntimeCustomSetupScriptProperties,
    IntegrationRuntimeDataFlowProperties,
    IntegrationRuntimeDataProxyProperties,
    IntegrationRuntimeDebugResource,
    IntegrationRuntimeListResponse,
    IntegrationRuntimeReference,
    IntegrationRuntimeResource,
    IntegrationRuntimeSsisCatalogInfo,
    IntegrationRuntimeSsisProperties,
    IntegrationRuntimeVNetProperties,
    JiraLinkedService,
    JiraObjectDataset,
    JiraSource,
    JsonDataset,
    JsonFormat,
    JsonReadSettings,
    JsonSink,
    JsonSource,
    JsonWriteSettings,
    KqlScript,
    KqlScriptContent,
    KqlScriptContentCurrentConnection,
    KqlScriptContentMetadata,
    KqlScriptResource,
    KqlScriptsResourceCollectionResponse,
    LakeHouseLinkedService,
    LakeHouseLocation,
    LakeHouseReadSettings,
    LakeHouseTableDataset,
    LakeHouseTableSink,
    LakeHouseTableSource,
    LakeHouseWriteSettings,
    LibraryInfo,
    LibraryListResponse,
    LibraryRequirements,
    LibraryResource,
    LibraryResourceInfo,
    LibraryResourceProperties,
    LinkConnection,
    LinkConnectionCompute,
    LinkConnectionDetailedStatus,
    LinkConnectionLandingZone,
    LinkConnectionListResponse,
    LinkConnectionQueryTableStatus,
    LinkConnectionRefreshStatus,
    LinkConnectionResource,
    LinkConnectionSourceDatabase,
    LinkConnectionSourceDatabaseTypeProperties,
    LinkConnectionTargetDatabase,
    LinkConnectionTargetDatabaseTypeProperties,
    LinkTableListResponse,
    LinkTableRequest,
    LinkTableRequestSource,
    LinkTableRequestTarget,
    LinkTableRequestTargetDistributionOptions,
    LinkTableRequestTargetStructureOptions,
    LinkTableResource,
    LinkTableStatus,
    LinkedIntegrationRuntimeKeyAuthorization,
    LinkedIntegrationRuntimeRbacAuthorization,
    LinkedIntegrationRuntimeType,
    LinkedService,
    LinkedServiceDebugResource,
    LinkedServiceListResponse,
    LinkedServiceReference,
    LinkedServiceResource,
    LogLocationSettings,
    LogSettings,
    LogStorageSettings,
    LookupActivity,
    MagentoLinkedService,
    MagentoObjectDataset,
    MagentoSource,
    ManagedIdentity,
    ManagedIntegrationRuntime,
    ManagedVirtualNetworkReference,
    ManagedVirtualNetworkSettings,
    MappingDataFlow,
    MariaDBLinkedService,
    MariaDBSource,
    MariaDBTableDataset,
    MarketoLinkedService,
    MarketoObjectDataset,
    MarketoSource,
    MetadataItem,
    MetastoreRegisterObject,
    MetastoreRegistrationResponse,
    MetastoreRequestSuccessResponse,
    MetastoreUpdateObject,
    MetastoreUpdationResponse,
    MicrosoftAccessLinkedService,
    MicrosoftAccessSink,
    MicrosoftAccessSource,
    MicrosoftAccessTableDataset,
    MongoDbAtlasCollectionDataset,
    MongoDbAtlasLinkedService,
    MongoDbAtlasSource,
    MongoDbCollectionDataset,
    MongoDbCursorMethodsProperties,
    MongoDbLinkedService,
    MongoDbSource,
    MongoDbV2CollectionDataset,
    MongoDbV2LinkedService,
    MongoDbV2Source,
    MultiplePipelineTrigger,
    MySqlLinkedService,
    MySqlSource,
    MySqlTableDataset,
    NetezzaLinkedService,
    NetezzaPartitionSettings,
    NetezzaSource,
    NetezzaTableDataset,
    Notebook,
    NotebookCell,
    NotebookCellOutputItem,
    NotebookFolder,
    NotebookKernelSpec,
    NotebookLanguageInfo,
    NotebookListResponse,
    NotebookMetadata,
    NotebookParameter,
    NotebookResource,
    NotebookSessionProperties,
    ODataLinkedService,
    ODataResourceDataset,
    ODataSource,
    OdbcLinkedService,
    OdbcSink,
    OdbcSource,
    OdbcTableDataset,
    Office365Dataset,
    Office365LinkedService,
    Office365Source,
    OperationResult,
    OracleLinkedService,
    OraclePartitionSettings,
    OracleServiceCloudLinkedService,
    OracleServiceCloudObjectDataset,
    OracleServiceCloudSource,
    OracleSink,
    OracleSource,
    OracleTableDataset,
    OrcDataset,
    OrcFormat,
    OrcSink,
    OrcSource,
    OrcWriteSettings,
    OutputColumn,
    ParameterSpecification,
    ParquetDataset,
    ParquetFormat,
    ParquetReadSettings,
    ParquetSink,
    ParquetSource,
    ParquetWriteSettings,
    PaypalLinkedService,
    PaypalObjectDataset,
    PaypalSource,
    PhoenixLinkedService,
    PhoenixObjectDataset,
    PhoenixSource,
    PipelineFolder,
    PipelineListResponse,
    PipelineReference,
    PipelineResource,
    PipelineRun,
    PipelineRunInvokedBy,
    PipelineRunsQueryResponse,
    PolybaseSettings,
    PostgreSqlLinkedService,
    PostgreSqlSource,
    PostgreSqlTableDataset,
    PostgreSqlV2LinkedService,
    PostgreSqlV2Source,
    PostgreSqlV2TableDataset,
    PowerBIWorkspaceLinkedService,
    PrestoLinkedService,
    PrestoObjectDataset,
    PrestoSource,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateLinkServiceConnectionState,
    ProxyResource,
    PurviewConfiguration,
    QueryDataFlowDebugSessionsResponse,
    QueryTableStatusRequest,
    QuickBooksLinkedService,
    QuickBooksObjectDataset,
    QuickBooksSource,
    QuickbaseLinkedService,
    RecurrenceSchedule,
    RecurrenceScheduleOccurrence,
    RedirectIncompatibleRowSettings,
    RedshiftUnloadSettings,
    RelationalSource,
    RelationalTableDataset,
    RerunTriggerListResponse,
    RerunTriggerResource,
    RerunTumblingWindowTrigger,
    RerunTumblingWindowTriggerActionParameters,
    Resource,
    ResponsysLinkedService,
    ResponsysObjectDataset,
    ResponsysSource,
    RestResourceDataset,
    RestServiceLinkedService,
    RestSink,
    RestSource,
    RetryPolicy,
    RunFilterParameters,
    RunNotebookError,
    RunNotebookParameter,
    RunNotebookRequest,
    RunNotebookResponse,
    RunNotebookResult,
    RunNotebookSnapshot,
    RunNotebookSnapshotResponse,
    RunNotebookSnapshotResult,
    RunNotebookSparkSessionOptions,
    RunQueryFilter,
    RunQueryOrderBy,
    SSISAccessCredential,
    SSISChildPackage,
    SSISExecutionCredential,
    SSISExecutionParameter,
    SSISLogLocation,
    SSISPackageLocation,
    SSISPropertyOverride,
    SalesforceLinkedService,
    SalesforceMarketingCloudLinkedService,
    SalesforceMarketingCloudObjectDataset,
    SalesforceMarketingCloudSource,
    SalesforceObjectDataset,
    SalesforceServiceCloudLinkedService,
    SalesforceServiceCloudObjectDataset,
    SalesforceServiceCloudSink,
    SalesforceServiceCloudSource,
    SalesforceServiceCloudV2LinkedService,
    SalesforceServiceCloudV2ObjectDataset,
    SalesforceServiceCloudV2Sink,
    SalesforceServiceCloudV2Source,
    SalesforceSink,
    SalesforceSource,
    SalesforceV2LinkedService,
    SalesforceV2ObjectDataset,
    SalesforceV2Sink,
    SalesforceV2Source,
    SapBWLinkedService,
    SapBwCubeDataset,
    SapBwSource,
    SapCloudForCustomerLinkedService,
    SapCloudForCustomerResourceDataset,
    SapCloudForCustomerSink,
    SapCloudForCustomerSource,
    SapEccLinkedService,
    SapEccResourceDataset,
    SapEccSource,
    SapHanaLinkedService,
    SapHanaPartitionSettings,
    SapHanaSource,
    SapHanaTableDataset,
    SapOdpLinkedService,
    SapOdpResourceDataset,
    SapOdpSource,
    SapOpenHubLinkedService,
    SapOpenHubSource,
    SapOpenHubTableDataset,
    SapTableLinkedService,
    SapTablePartitionSettings,
    SapTableResourceDataset,
    SapTableSource,
    ScheduleTrigger,
    ScheduleTriggerRecurrence,
    ScriptAction,
    ScriptActivity,
    ScriptActivityParameter,
    ScriptActivityScriptBlock,
    ScriptActivityTypePropertiesLogSettings,
    SecretBase,
    SecureInputOutputPolicy,
    SecureString,
    SelfDependencyTumblingWindowTriggerReference,
    SelfHostedIntegrationRuntime,
    ServiceNowLinkedService,
    ServiceNowObjectDataset,
    ServiceNowSource,
    ServiceNowV2LinkedServiceTypeProperties,
    ServiceNowV2ObjectDataset,
    ServiceNowV2Source,
    SetVariableActivity,
    SftpLocation,
    SftpReadSettings,
    SftpServerLinkedService,
    SftpWriteSettings,
    SharePointOnlineListLinkedService,
    SharePointOnlineListResourceDataset,
    SharePointOnlineListSource,
    ShopifyLinkedService,
    ShopifyObjectDataset,
    ShopifySource,
    SkipErrorFile,
    Sku,
    SmartsheetLinkedService,
    SnowflakeDataset,
    SnowflakeExportCopyCommand,
    SnowflakeImportCopyCommand,
    SnowflakeLinkedService,
    SnowflakeSink,
    SnowflakeSource,
    SnowflakeV2Dataset,
    SnowflakeV2LinkedService,
    SnowflakeV2Sink,
    SnowflakeV2Source,
    SparkBatchJob,
    SparkBatchJobState,
    SparkConfiguration,
    SparkConfigurationListResponse,
    SparkConfigurationParametrizationReference,
    SparkConfigurationReference,
    SparkConfigurationResource,
    SparkJobDefinition,
    SparkJobDefinitionFolder,
    SparkJobDefinitionResource,
    SparkJobDefinitionsListResponse,
    SparkJobProperties,
    SparkLinkedService,
    SparkObjectDataset,
    SparkRequest,
    SparkScheduler,
    SparkServiceError,
    SparkServicePlugin,
    SparkSource,
    SqlAlwaysEncryptedProperties,
    SqlConnection,
    SqlDWSink,
    SqlDWSource,
    SqlMISink,
    SqlMISource,
    SqlPartitionSettings,
    SqlPool,
    SqlPoolInfoListResult,
    SqlPoolReference,
    SqlPoolStoredProcedureActivity,
    SqlScript,
    SqlScriptContent,
    SqlScriptFolder,
    SqlScriptMetadata,
    SqlScriptResource,
    SqlScriptsListResponse,
    SqlServerBaseLinkedServiceTypeProperties,
    SqlServerLinkedService,
    SqlServerLinkedServiceTypeProperties,
    SqlServerSink,
    SqlServerSource,
    SqlServerStoredProcedureActivity,
    SqlServerTableDataset,
    SqlSink,
    SqlSource,
    SquareLinkedService,
    SquareObjectDataset,
    SquareSource,
    SsisObjectMetadataStatusResponse,
    StagingSettings,
    StartDataFlowDebugSessionRequest,
    StartDataFlowDebugSessionResponse,
    StoreReadSettings,
    StoreWriteSettings,
    StoredProcedureParameter,
    SubResource,
    SubResourceDebugResource,
    SwitchActivity,
    SwitchCase,
    SybaseLinkedService,
    SybaseSource,
    SybaseTableDataset,
    SynapseActivityAuthentication,
    SynapseNotebookActivity,
    SynapseNotebookReference,
    SynapseSparkJobDefinitionActivity,
    SynapseSparkJobReference,
    TabularSource,
    TabularTranslator,
    TarGZipReadSettings,
    TarReadSettings,
    TeamDeskLinkedService,
    TeradataImportCommand,
    TeradataLinkedService,
    TeradataPartitionSettings,
    TeradataSink,
    TeradataSource,
    TeradataTableDataset,
    TextFormat,
    TrackedResource,
    Transformation,
    Trigger,
    TriggerDependencyProvisioningStatus,
    TriggerDependencyReference,
    TriggerListResponse,
    TriggerPipelineReference,
    TriggerReference,
    TriggerResource,
    TriggerRun,
    TriggerRunsQueryResponse,
    TriggerSubscriptionOperationStatus,
    TumblingWindowTrigger,
    TumblingWindowTriggerDependencyReference,
    TwilioLinkedService,
    TypeConversionSettings,
    UntilActivity,
    UpdateLandingZoneCredential,
    UserProperty,
    ValidationActivity,
    VariableSpecification,
    VerticaLinkedService,
    VerticaSource,
    VerticaTableDataset,
    VirtualNetworkProfile,
    WaitActivity,
    WarehouseLinkedService,
    WarehouseSink,
    WarehouseSource,
    WarehouseTableDataset,
    WebActivity,
    WebActivityAuthentication,
    WebAnonymousAuthentication,
    WebBasicAuthentication,
    WebClientCertificateAuthentication,
    WebHookActivity,
    WebLinkedService,
    WebLinkedServiceTypeProperties,
    WebSource,
    WebTableDataset,
    Workspace,
    WorkspaceIdentity,
    WorkspaceKeyDetails,
    WorkspaceRepositoryConfiguration,
    WorkspaceUpdateParameters,
    XeroLinkedService,
    XeroObjectDataset,
    XeroSource,
    XmlDataset,
    XmlReadSettings,
    XmlSource,
    ZendeskLinkedService,
    ZipDeflateReadSettings,
    ZohoLinkedService,
    ZohoObjectDataset,
    ZohoSource,
)

from ._artifacts_client_enums import (  # type: ignore
    ActionOnExistingTargetTable,
    ActivityOnInactiveMarkAs,
    ActivityState,
    AmazonRdsForOraclePartitionOption,
    AmazonRdsForSqlServerAuthenticationType,
    AvroCompressionCodec,
    AzureFunctionActivityMethod,
    AzureSearchIndexWriteBehaviorType,
    AzureSqlDWAuthenticationType,
    AzureSqlDatabaseAuthenticationType,
    AzureSqlMIAuthenticationType,
    AzureStorageAuthenticationType,
    BigDataPoolReferenceType,
    BlobEventType,
    CassandraSourceReadConsistencyLevels,
    CellOutputType,
    CompressionCodec,
    ConfigurationType,
    CopyBehaviorType,
    CreateMode,
    CredentialReferenceType,
    DataFlowComputeType,
    DataFlowDebugCommandType,
    DataFlowReferenceType,
    DatasetCompressionLevel,
    DatasetReferenceType,
    DayOfWeek,
    Db2AuthenticationType,
    DependencyCondition,
    DynamicsAuthenticationType,
    DynamicsDeploymentType,
    DynamicsServicePrincipalCredentialType,
    DynamicsSinkWriteBehavior,
    Enum13,
    EventSubscriptionStatus,
    ExpressionType,
    ExpressionV2Type,
    FtpAuthenticationType,
    GoogleAdWordsAuthenticationType,
    GoogleBigQueryAuthenticationType,
    GoogleBigQueryV2AuthenticationType,
    GreenplumAuthenticationType,
    HBaseAuthenticationType,
    HDInsightActivityDebugInfoOption,
    HdiNodeTypes,
    HiveAuthenticationType,
    HiveServerType,
    HiveThriftTransportProtocol,
    HttpAuthenticationType,
    ImpalaAuthenticationType,
    IntegrationRuntimeEdition,
    IntegrationRuntimeEntityReferenceType,
    IntegrationRuntimeLicenseType,
    IntegrationRuntimeReferenceType,
    IntegrationRuntimeSsisCatalogPricingTier,
    IntegrationRuntimeState,
    IntegrationRuntimeType,
    JsonFormatFilePattern,
    JsonWriteFilePattern,
    LivyStates,
    ManagedVirtualNetworkReferenceType,
    MongoDbAuthenticationType,
    NetezzaPartitionOption,
    NodeSize,
    NodeSizeFamily,
    NotebookParameterType,
    NotebookReferenceType,
    ODataAadServicePrincipalCredentialType,
    ODataAuthenticationType,
    OracleAuthenticationType,
    OraclePartitionOption,
    OrcCompressionCodec,
    ParameterType,
    ParquetCompressionCodecEnum,
    PhoenixAuthenticationType,
    PipelineReferenceType,
    PluginCurrentState,
    PolybaseSettingsRejectType,
    PrestoAuthenticationType,
    RecurrenceFrequency,
    RequestStatus,
    ResourceIdentityType,
    ResourceStatus,
    RestServiceAuthenticationType,
    RunQueryFilterOperand,
    RunQueryFilterOperator,
    RunQueryOrder,
    RunQueryOrderByField,
    SalesforceSinkWriteBehavior,
    SalesforceSourceReadBehavior,
    SalesforceV2SinkWriteBehavior,
    SapCloudForCustomerSinkWriteBehavior,
    SapHanaAuthenticationType,
    SapHanaPartitionOption,
    SapTablePartitionOption,
    SchedulerCurrentState,
    ScriptActivityLogDestination,
    ScriptActivityParameterDirection,
    ScriptActivityParameterType,
    ScriptType,
    ServiceNowAuthenticationType,
    ServiceNowV2AuthenticationType,
    SftpAuthenticationType,
    SnowflakeAuthenticationType,
    SparkAuthenticationType,
    SparkBatchJobResultType,
    SparkConfigurationReferenceType,
    SparkErrorSource,
    SparkJobReferenceType,
    SparkJobType,
    SparkServerType,
    SparkThriftTransportProtocol,
    SqlAlwaysEncryptedAkvAuthType,
    SqlConnectionType,
    SqlPartitionOption,
    SqlPoolReferenceType,
    SqlScriptType,
    SqlServerAuthenticationType,
    SsisLogLocationType,
    SsisPackageLocationType,
    StoredProcedureParameterType,
    SybaseAuthenticationType,
    TeamDeskAuthenticationType,
    TeradataAuthenticationType,
    TeradataPartitionOption,
    TriggerReferenceType,
    TriggerRunStatus,
    TriggerRuntimeState,
    TumblingWindowFrequency,
    Type,
    VariableType,
    WebActivityMethod,
    WebAuthenticationType,
    WebHookActivityMethod,
    ZendeskAuthenticationType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "Activity",
    "ActivityDependency",
    "ActivityPolicy",
    "ActivityRun",
    "ActivityRunsQueryResponse",
    "AddDataFlowToDebugSessionResponse",
    "AdditionalColumns",
    "AmazonMWSLinkedService",
    "AmazonMWSObjectDataset",
    "AmazonMWSSource",
    "AmazonRdsForOracleLinkedService",
    "AmazonRdsForOraclePartitionSettings",
    "AmazonRdsForOracleSource",
    "AmazonRdsForOracleTableDataset",
    "AmazonRdsForSqlServerLinkedService",
    "AmazonRdsForSqlServerLinkedServiceTypeProperties",
    "AmazonRdsForSqlServerSource",
    "AmazonRdsForSqlServerTableDataset",
    "AmazonRedshiftLinkedService",
    "AmazonRedshiftSource",
    "AmazonRedshiftTableDataset",
    "AmazonS3Dataset",
    "AmazonS3LinkedService",
    "AmazonS3Location",
    "AmazonS3ReadSettings",
    "AppFiguresLinkedService",
    "AppendVariableActivity",
    "ArtifactRenameRequest",
    "AsanaLinkedService",
    "AutoPauseProperties",
    "AutoScaleProperties",
    "AvroDataset",
    "AvroFormat",
    "AvroSink",
    "AvroSource",
    "AvroWriteSettings",
    "AzureBatchLinkedService",
    "AzureBlobDataset",
    "AzureBlobFSDataset",
    "AzureBlobFSLinkedService",
    "AzureBlobFSLocation",
    "AzureBlobFSReadSettings",
    "AzureBlobFSSink",
    "AzureBlobFSSource",
    "AzureBlobFSWriteSettings",
    "AzureBlobStorageLinkedService",
    "AzureBlobStorageLocation",
    "AzureBlobStorageReadSettings",
    "AzureBlobStorageWriteSettings",
    "AzureDataExplorerCommandActivity",
    "AzureDataExplorerLinkedService",
    "AzureDataExplorerSink",
    "AzureDataExplorerSource",
    "AzureDataExplorerTableDataset",
    "AzureDataLakeAnalyticsLinkedService",
    "AzureDataLakeStoreDataset",
    "AzureDataLakeStoreLinkedService",
    "AzureDataLakeStoreLocation",
    "AzureDataLakeStoreReadSettings",
    "AzureDataLakeStoreSink",
    "AzureDataLakeStoreSource",
    "AzureDataLakeStoreWriteSettings",
    "AzureDatabricksDeltaLakeDataset",
    "AzureDatabricksDeltaLakeExportCommand",
    "AzureDatabricksDeltaLakeImportCommand",
    "AzureDatabricksDeltaLakeLinkedService",
    "AzureDatabricksDeltaLakeSink",
    "AzureDatabricksDeltaLakeSource",
    "AzureDatabricksLinkedService",
    "AzureEntityResource",
    "AzureFileStorageLinkedService",
    "AzureFileStorageLocation",
    "AzureFileStorageReadSettings",
    "AzureFileStorageWriteSettings",
    "AzureFunctionActivity",
    "AzureFunctionLinkedService",
    "AzureKeyVaultLinkedService",
    "AzureKeyVaultSecretReference",
    "AzureMLBatchExecutionActivity",
    "AzureMLExecutePipelineActivity",
    "AzureMLLinkedService",
    "AzureMLServiceLinkedService",
    "AzureMLUpdateResourceActivity",
    "AzureMLWebServiceFile",
    "AzureMariaDBLinkedService",
    "AzureMariaDBSource",
    "AzureMariaDBTableDataset",
    "AzureMySqlLinkedService",
    "AzureMySqlSink",
    "AzureMySqlSource",
    "AzureMySqlTableDataset",
    "AzurePostgreSqlLinkedService",
    "AzurePostgreSqlSink",
    "AzurePostgreSqlSource",
    "AzurePostgreSqlTableDataset",
    "AzureQueueSink",
    "AzureSearchIndexDataset",
    "AzureSearchIndexSink",
    "AzureSearchLinkedService",
    "AzureSqlDWLinkedService",
    "AzureSqlDWLinkedServiceTypeProperties",
    "AzureSqlDWTableDataset",
    "AzureSqlDatabaseLinkedService",
    "AzureSqlDatabaseLinkedServiceTypeProperties",
    "AzureSqlMILinkedService",
    "AzureSqlMILinkedServiceTypeProperties",
    "AzureSqlMITableDataset",
    "AzureSqlSink",
    "AzureSqlSource",
    "AzureSqlTableDataset",
    "AzureStorageLinkedService",
    "AzureStorageLinkedServiceTypeProperties",
    "AzureSynapseArtifactsLinkedService",
    "AzureTableDataset",
    "AzureTableSink",
    "AzureTableSource",
    "AzureTableStorageLinkedService",
    "AzureTableStorageLinkedServiceTypeProperties",
    "BigDataPoolParametrizationReference",
    "BigDataPoolReference",
    "BigDataPoolResourceInfo",
    "BigDataPoolResourceInfoListResult",
    "BinaryDataset",
    "BinaryReadSettings",
    "BinarySink",
    "BinarySource",
    "BlobEventsTrigger",
    "BlobSink",
    "BlobSource",
    "BlobTrigger",
    "CassandraLinkedService",
    "CassandraSource",
    "CassandraTableDataset",
    "ChainingTrigger",
    "CloudError",
    "CommonDataServiceForAppsEntityDataset",
    "CommonDataServiceForAppsLinkedService",
    "CommonDataServiceForAppsSink",
    "CommonDataServiceForAppsSource",
    "CompressionReadSettings",
    "ConcurLinkedService",
    "ConcurObjectDataset",
    "ConcurSource",
    "ContinuationSettingsReference",
    "ControlActivity",
    "CopyActivity",
    "CopyActivityLogSettings",
    "CopySink",
    "CopySource",
    "CopyTranslator",
    "CosmosDbLinkedService",
    "CosmosDbMongoDbApiCollectionDataset",
    "CosmosDbMongoDbApiLinkedService",
    "CosmosDbMongoDbApiSink",
    "CosmosDbMongoDbApiSource",
    "CosmosDbSqlApiCollectionDataset",
    "CosmosDbSqlApiSink",
    "CosmosDbSqlApiSource",
    "CouchbaseLinkedService",
    "CouchbaseSource",
    "CouchbaseTableDataset",
    "CreateDataFlowDebugSessionRequest",
    "CreateDataFlowDebugSessionResponse",
    "CreateRunResponse",
    "CredentialReference",
    "CustomActivity",
    "CustomActivityReferenceObject",
    "CustomDataSourceLinkedService",
    "CustomDataset",
    "CustomEventsTrigger",
    "CustomSetupBase",
    "CustomerManagedKeyDetails",
    "DWCopyCommandDefaultValue",
    "DWCopyCommandSettings",
    "DataFlow",
    "DataFlowDebugCommandPayload",
    "DataFlowDebugCommandRequest",
    "DataFlowDebugCommandResponse",
    "DataFlowDebugPackage",
    "DataFlowDebugPackageDebugSettings",
    "DataFlowDebugPreviewDataRequest",
    "DataFlowDebugQueryResponse",
    "DataFlowDebugResource",
    "DataFlowDebugResultResponse",
    "DataFlowDebugSessionInfo",
    "DataFlowDebugStatisticsRequest",
    "DataFlowFolder",
    "DataFlowListResponse",
    "DataFlowReference",
    "DataFlowResource",
    "DataFlowSink",
    "DataFlowSource",
    "DataFlowSourceSetting",
    "DataFlowStagingInfo",
    "DataLakeAnalyticsUSQLActivity",
    "DataLakeStorageAccountDetails",
    "DatabricksNotebookActivity",
    "DatabricksSparkJarActivity",
    "DatabricksSparkPythonActivity",
    "Dataset",
    "DatasetCompression",
    "DatasetDataElement",
    "DatasetDebugResource",
    "DatasetFolder",
    "DatasetListResponse",
    "DatasetLocation",
    "DatasetReference",
    "DatasetResource",
    "DatasetSchemaDataElement",
    "DatasetStorageFormat",
    "DataworldLinkedService",
    "Db2LinkedService",
    "Db2Source",
    "Db2TableDataset",
    "DeleteActivity",
    "DeleteDataFlowDebugSessionRequest",
    "DelimitedTextDataset",
    "DelimitedTextReadSettings",
    "DelimitedTextSink",
    "DelimitedTextSource",
    "DelimitedTextWriteSettings",
    "DependencyReference",
    "DistcpSettings",
    "DocumentDbCollectionDataset",
    "DocumentDbCollectionSink",
    "DocumentDbCollectionSource",
    "DrillLinkedService",
    "DrillSource",
    "DrillTableDataset",
    "DynamicExecutorAllocation",
    "DynamicsAXLinkedService",
    "DynamicsAXResourceDataset",
    "DynamicsAXSource",
    "DynamicsCrmEntityDataset",
    "DynamicsCrmLinkedService",
    "DynamicsCrmSink",
    "DynamicsCrmSource",
    "DynamicsEntityDataset",
    "DynamicsLinkedService",
    "DynamicsSink",
    "DynamicsSource",
    "EditTablesRequest",
    "EloquaLinkedService",
    "EloquaObjectDataset",
    "EloquaSource",
    "EncryptionDetails",
    "EntityReference",
    "ErrorAdditionalInfo",
    "ErrorContract",
    "ErrorResponse",
    "EvaluateDataFlowExpressionRequest",
    "ExcelDataset",
    "ExcelSource",
    "ExecuteDataFlowActivity",
    "ExecuteDataFlowActivityTypePropertiesCompute",
    "ExecutePipelineActivity",
    "ExecuteSSISPackageActivity",
    "ExecutionActivity",
    "ExportSettings",
    "ExposureControlRequest",
    "ExposureControlResponse",
    "Expression",
    "ExpressionV2",
    "FailActivity",
    "FileServerLinkedService",
    "FileServerLocation",
    "FileServerReadSettings",
    "FileServerWriteSettings",
    "FileShareDataset",
    "FileSystemSink",
    "FileSystemSource",
    "FilterActivity",
    "Flowlet",
    "ForEachActivity",
    "FormatReadSettings",
    "FormatWriteSettings",
    "FtpReadSettings",
    "FtpServerLinkedService",
    "FtpServerLocation",
    "GetMetadataActivity",
    "GetSsisObjectMetadataRequest",
    "GitHubAccessTokenRequest",
    "GitHubAccessTokenResponse",
    "GitHubClientSecret",
    "GoogleAdWordsLinkedService",
    "GoogleAdWordsObjectDataset",
    "GoogleAdWordsSource",
    "GoogleBigQueryLinkedService",
    "GoogleBigQueryObjectDataset",
    "GoogleBigQuerySource",
    "GoogleBigQueryV2LinkedService",
    "GoogleBigQueryV2ObjectDataset",
    "GoogleBigQueryV2Source",
    "GoogleCloudStorageLinkedService",
    "GoogleCloudStorageLocation",
    "GoogleCloudStorageReadSettings",
    "GoogleSheetsLinkedService",
    "GreenplumLinkedService",
    "GreenplumSource",
    "GreenplumTableDataset",
    "HBaseLinkedService",
    "HBaseObjectDataset",
    "HBaseSource",
    "HDInsightHiveActivity",
    "HDInsightLinkedService",
    "HDInsightMapReduceActivity",
    "HDInsightOnDemandLinkedService",
    "HDInsightPigActivity",
    "HDInsightSparkActivity",
    "HDInsightStreamingActivity",
    "HdfsLinkedService",
    "HdfsLocation",
    "HdfsReadSettings",
    "HdfsSource",
    "HiveLinkedService",
    "HiveObjectDataset",
    "HiveSource",
    "HttpDataset",
    "HttpLinkedService",
    "HttpReadSettings",
    "HttpServerLocation",
    "HttpSource",
    "HubspotLinkedService",
    "HubspotObjectDataset",
    "HubspotSource",
    "IcebergDataset",
    "IcebergSink",
    "IcebergWriteSettings",
    "IfConditionActivity",
    "ImpalaLinkedService",
    "ImpalaObjectDataset",
    "ImpalaSource",
    "ImportSettings",
    "InformixLinkedService",
    "InformixSink",
    "InformixSource",
    "InformixTableDataset",
    "IntegrationRuntime",
    "IntegrationRuntimeComputeProperties",
    "IntegrationRuntimeCustomSetupScriptProperties",
    "IntegrationRuntimeDataFlowProperties",
    "IntegrationRuntimeDataProxyProperties",
    "IntegrationRuntimeDebugResource",
    "IntegrationRuntimeListResponse",
    "IntegrationRuntimeReference",
    "IntegrationRuntimeResource",
    "IntegrationRuntimeSsisCatalogInfo",
    "IntegrationRuntimeSsisProperties",
    "IntegrationRuntimeVNetProperties",
    "JiraLinkedService",
    "JiraObjectDataset",
    "JiraSource",
    "JsonDataset",
    "JsonFormat",
    "JsonReadSettings",
    "JsonSink",
    "JsonSource",
    "JsonWriteSettings",
    "KqlScript",
    "KqlScriptContent",
    "KqlScriptContentCurrentConnection",
    "KqlScriptContentMetadata",
    "KqlScriptResource",
    "KqlScriptsResourceCollectionResponse",
    "LakeHouseLinkedService",
    "LakeHouseLocation",
    "LakeHouseReadSettings",
    "LakeHouseTableDataset",
    "LakeHouseTableSink",
    "LakeHouseTableSource",
    "LakeHouseWriteSettings",
    "LibraryInfo",
    "LibraryListResponse",
    "LibraryRequirements",
    "LibraryResource",
    "LibraryResourceInfo",
    "LibraryResourceProperties",
    "LinkConnection",
    "LinkConnectionCompute",
    "LinkConnectionDetailedStatus",
    "LinkConnectionLandingZone",
    "LinkConnectionListResponse",
    "LinkConnectionQueryTableStatus",
    "LinkConnectionRefreshStatus",
    "LinkConnectionResource",
    "LinkConnectionSourceDatabase",
    "LinkConnectionSourceDatabaseTypeProperties",
    "LinkConnectionTargetDatabase",
    "LinkConnectionTargetDatabaseTypeProperties",
    "LinkTableListResponse",
    "LinkTableRequest",
    "LinkTableRequestSource",
    "LinkTableRequestTarget",
    "LinkTableRequestTargetDistributionOptions",
    "LinkTableRequestTargetStructureOptions",
    "LinkTableResource",
    "LinkTableStatus",
    "LinkedIntegrationRuntimeKeyAuthorization",
    "LinkedIntegrationRuntimeRbacAuthorization",
    "LinkedIntegrationRuntimeType",
    "LinkedService",
    "LinkedServiceDebugResource",
    "LinkedServiceListResponse",
    "LinkedServiceReference",
    "LinkedServiceResource",
    "LogLocationSettings",
    "LogSettings",
    "LogStorageSettings",
    "LookupActivity",
    "MagentoLinkedService",
    "MagentoObjectDataset",
    "MagentoSource",
    "ManagedIdentity",
    "ManagedIntegrationRuntime",
    "ManagedVirtualNetworkReference",
    "ManagedVirtualNetworkSettings",
    "MappingDataFlow",
    "MariaDBLinkedService",
    "MariaDBSource",
    "MariaDBTableDataset",
    "MarketoLinkedService",
    "MarketoObjectDataset",
    "MarketoSource",
    "MetadataItem",
    "MetastoreRegisterObject",
    "MetastoreRegistrationResponse",
    "MetastoreRequestSuccessResponse",
    "MetastoreUpdateObject",
    "MetastoreUpdationResponse",
    "MicrosoftAccessLinkedService",
    "MicrosoftAccessSink",
    "MicrosoftAccessSource",
    "MicrosoftAccessTableDataset",
    "MongoDbAtlasCollectionDataset",
    "MongoDbAtlasLinkedService",
    "MongoDbAtlasSource",
    "MongoDbCollectionDataset",
    "MongoDbCursorMethodsProperties",
    "MongoDbLinkedService",
    "MongoDbSource",
    "MongoDbV2CollectionDataset",
    "MongoDbV2LinkedService",
    "MongoDbV2Source",
    "MultiplePipelineTrigger",
    "MySqlLinkedService",
    "MySqlSource",
    "MySqlTableDataset",
    "NetezzaLinkedService",
    "NetezzaPartitionSettings",
    "NetezzaSource",
    "NetezzaTableDataset",
    "Notebook",
    "NotebookCell",
    "NotebookCellOutputItem",
    "NotebookFolder",
    "NotebookKernelSpec",
    "NotebookLanguageInfo",
    "NotebookListResponse",
    "NotebookMetadata",
    "NotebookParameter",
    "NotebookResource",
    "NotebookSessionProperties",
    "ODataLinkedService",
    "ODataResourceDataset",
    "ODataSource",
    "OdbcLinkedService",
    "OdbcSink",
    "OdbcSource",
    "OdbcTableDataset",
    "Office365Dataset",
    "Office365LinkedService",
    "Office365Source",
    "OperationResult",
    "OracleLinkedService",
    "OraclePartitionSettings",
    "OracleServiceCloudLinkedService",
    "OracleServiceCloudObjectDataset",
    "OracleServiceCloudSource",
    "OracleSink",
    "OracleSource",
    "OracleTableDataset",
    "OrcDataset",
    "OrcFormat",
    "OrcSink",
    "OrcSource",
    "OrcWriteSettings",
    "OutputColumn",
    "ParameterSpecification",
    "ParquetDataset",
    "ParquetFormat",
    "ParquetReadSettings",
    "ParquetSink",
    "ParquetSource",
    "ParquetWriteSettings",
    "PaypalLinkedService",
    "PaypalObjectDataset",
    "PaypalSource",
    "PhoenixLinkedService",
    "PhoenixObjectDataset",
    "PhoenixSource",
    "PipelineFolder",
    "PipelineListResponse",
    "PipelineReference",
    "PipelineResource",
    "PipelineRun",
    "PipelineRunInvokedBy",
    "PipelineRunsQueryResponse",
    "PolybaseSettings",
    "PostgreSqlLinkedService",
    "PostgreSqlSource",
    "PostgreSqlTableDataset",
    "PostgreSqlV2LinkedService",
    "PostgreSqlV2Source",
    "PostgreSqlV2TableDataset",
    "PowerBIWorkspaceLinkedService",
    "PrestoLinkedService",
    "PrestoObjectDataset",
    "PrestoSource",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateLinkServiceConnectionState",
    "ProxyResource",
    "PurviewConfiguration",
    "QueryDataFlowDebugSessionsResponse",
    "QueryTableStatusRequest",
    "QuickBooksLinkedService",
    "QuickBooksObjectDataset",
    "QuickBooksSource",
    "QuickbaseLinkedService",
    "RecurrenceSchedule",
    "RecurrenceScheduleOccurrence",
    "RedirectIncompatibleRowSettings",
    "RedshiftUnloadSettings",
    "RelationalSource",
    "RelationalTableDataset",
    "RerunTriggerListResponse",
    "RerunTriggerResource",
    "RerunTumblingWindowTrigger",
    "RerunTumblingWindowTriggerActionParameters",
    "Resource",
    "ResponsysLinkedService",
    "ResponsysObjectDataset",
    "ResponsysSource",
    "RestResourceDataset",
    "RestServiceLinkedService",
    "RestSink",
    "RestSource",
    "RetryPolicy",
    "RunFilterParameters",
    "RunNotebookError",
    "RunNotebookParameter",
    "RunNotebookRequest",
    "RunNotebookResponse",
    "RunNotebookResult",
    "RunNotebookSnapshot",
    "RunNotebookSnapshotResponse",
    "RunNotebookSnapshotResult",
    "RunNotebookSparkSessionOptions",
    "RunQueryFilter",
    "RunQueryOrderBy",
    "SSISAccessCredential",
    "SSISChildPackage",
    "SSISExecutionCredential",
    "SSISExecutionParameter",
    "SSISLogLocation",
    "SSISPackageLocation",
    "SSISPropertyOverride",
    "SalesforceLinkedService",
    "SalesforceMarketingCloudLinkedService",
    "SalesforceMarketingCloudObjectDataset",
    "SalesforceMarketingCloudSource",
    "SalesforceObjectDataset",
    "SalesforceServiceCloudLinkedService",
    "SalesforceServiceCloudObjectDataset",
    "SalesforceServiceCloudSink",
    "SalesforceServiceCloudSource",
    "SalesforceServiceCloudV2LinkedService",
    "SalesforceServiceCloudV2ObjectDataset",
    "SalesforceServiceCloudV2Sink",
    "SalesforceServiceCloudV2Source",
    "SalesforceSink",
    "SalesforceSource",
    "SalesforceV2LinkedService",
    "SalesforceV2ObjectDataset",
    "SalesforceV2Sink",
    "SalesforceV2Source",
    "SapBWLinkedService",
    "SapBwCubeDataset",
    "SapBwSource",
    "SapCloudForCustomerLinkedService",
    "SapCloudForCustomerResourceDataset",
    "SapCloudForCustomerSink",
    "SapCloudForCustomerSource",
    "SapEccLinkedService",
    "SapEccResourceDataset",
    "SapEccSource",
    "SapHanaLinkedService",
    "SapHanaPartitionSettings",
    "SapHanaSource",
    "SapHanaTableDataset",
    "SapOdpLinkedService",
    "SapOdpResourceDataset",
    "SapOdpSource",
    "SapOpenHubLinkedService",
    "SapOpenHubSource",
    "SapOpenHubTableDataset",
    "SapTableLinkedService",
    "SapTablePartitionSettings",
    "SapTableResourceDataset",
    "SapTableSource",
    "ScheduleTrigger",
    "ScheduleTriggerRecurrence",
    "ScriptAction",
    "ScriptActivity",
    "ScriptActivityParameter",
    "ScriptActivityScriptBlock",
    "ScriptActivityTypePropertiesLogSettings",
    "SecretBase",
    "SecureInputOutputPolicy",
    "SecureString",
    "SelfDependencyTumblingWindowTriggerReference",
    "SelfHostedIntegrationRuntime",
    "ServiceNowLinkedService",
    "ServiceNowObjectDataset",
    "ServiceNowSource",
    "ServiceNowV2LinkedServiceTypeProperties",
    "ServiceNowV2ObjectDataset",
    "ServiceNowV2Source",
    "SetVariableActivity",
    "SftpLocation",
    "SftpReadSettings",
    "SftpServerLinkedService",
    "SftpWriteSettings",
    "SharePointOnlineListLinkedService",
    "SharePointOnlineListResourceDataset",
    "SharePointOnlineListSource",
    "ShopifyLinkedService",
    "ShopifyObjectDataset",
    "ShopifySource",
    "SkipErrorFile",
    "Sku",
    "SmartsheetLinkedService",
    "SnowflakeDataset",
    "SnowflakeExportCopyCommand",
    "SnowflakeImportCopyCommand",
    "SnowflakeLinkedService",
    "SnowflakeSink",
    "SnowflakeSource",
    "SnowflakeV2Dataset",
    "SnowflakeV2LinkedService",
    "SnowflakeV2Sink",
    "SnowflakeV2Source",
    "SparkBatchJob",
    "SparkBatchJobState",
    "SparkConfiguration",
    "SparkConfigurationListResponse",
    "SparkConfigurationParametrizationReference",
    "SparkConfigurationReference",
    "SparkConfigurationResource",
    "SparkJobDefinition",
    "SparkJobDefinitionFolder",
    "SparkJobDefinitionResource",
    "SparkJobDefinitionsListResponse",
    "SparkJobProperties",
    "SparkLinkedService",
    "SparkObjectDataset",
    "SparkRequest",
    "SparkScheduler",
    "SparkServiceError",
    "SparkServicePlugin",
    "SparkSource",
    "SqlAlwaysEncryptedProperties",
    "SqlConnection",
    "SqlDWSink",
    "SqlDWSource",
    "SqlMISink",
    "SqlMISource",
    "SqlPartitionSettings",
    "SqlPool",
    "SqlPoolInfoListResult",
    "SqlPoolReference",
    "SqlPoolStoredProcedureActivity",
    "SqlScript",
    "SqlScriptContent",
    "SqlScriptFolder",
    "SqlScriptMetadata",
    "SqlScriptResource",
    "SqlScriptsListResponse",
    "SqlServerBaseLinkedServiceTypeProperties",
    "SqlServerLinkedService",
    "SqlServerLinkedServiceTypeProperties",
    "SqlServerSink",
    "SqlServerSource",
    "SqlServerStoredProcedureActivity",
    "SqlServerTableDataset",
    "SqlSink",
    "SqlSource",
    "SquareLinkedService",
    "SquareObjectDataset",
    "SquareSource",
    "SsisObjectMetadataStatusResponse",
    "StagingSettings",
    "StartDataFlowDebugSessionRequest",
    "StartDataFlowDebugSessionResponse",
    "StoreReadSettings",
    "StoreWriteSettings",
    "StoredProcedureParameter",
    "SubResource",
    "SubResourceDebugResource",
    "SwitchActivity",
    "SwitchCase",
    "SybaseLinkedService",
    "SybaseSource",
    "SybaseTableDataset",
    "SynapseActivityAuthentication",
    "SynapseNotebookActivity",
    "SynapseNotebookReference",
    "SynapseSparkJobDefinitionActivity",
    "SynapseSparkJobReference",
    "TabularSource",
    "TabularTranslator",
    "TarGZipReadSettings",
    "TarReadSettings",
    "TeamDeskLinkedService",
    "TeradataImportCommand",
    "TeradataLinkedService",
    "TeradataPartitionSettings",
    "TeradataSink",
    "TeradataSource",
    "TeradataTableDataset",
    "TextFormat",
    "TrackedResource",
    "Transformation",
    "Trigger",
    "TriggerDependencyProvisioningStatus",
    "TriggerDependencyReference",
    "TriggerListResponse",
    "TriggerPipelineReference",
    "TriggerReference",
    "TriggerResource",
    "TriggerRun",
    "TriggerRunsQueryResponse",
    "TriggerSubscriptionOperationStatus",
    "TumblingWindowTrigger",
    "TumblingWindowTriggerDependencyReference",
    "TwilioLinkedService",
    "TypeConversionSettings",
    "UntilActivity",
    "UpdateLandingZoneCredential",
    "UserProperty",
    "ValidationActivity",
    "VariableSpecification",
    "VerticaLinkedService",
    "VerticaSource",
    "VerticaTableDataset",
    "VirtualNetworkProfile",
    "WaitActivity",
    "WarehouseLinkedService",
    "WarehouseSink",
    "WarehouseSource",
    "WarehouseTableDataset",
    "WebActivity",
    "WebActivityAuthentication",
    "WebAnonymousAuthentication",
    "WebBasicAuthentication",
    "WebClientCertificateAuthentication",
    "WebHookActivity",
    "WebLinkedService",
    "WebLinkedServiceTypeProperties",
    "WebSource",
    "WebTableDataset",
    "Workspace",
    "WorkspaceIdentity",
    "WorkspaceKeyDetails",
    "WorkspaceRepositoryConfiguration",
    "WorkspaceUpdateParameters",
    "XeroLinkedService",
    "XeroObjectDataset",
    "XeroSource",
    "XmlDataset",
    "XmlReadSettings",
    "XmlSource",
    "ZendeskLinkedService",
    "ZipDeflateReadSettings",
    "ZohoLinkedService",
    "ZohoObjectDataset",
    "ZohoSource",
    "ActionOnExistingTargetTable",
    "ActivityOnInactiveMarkAs",
    "ActivityState",
    "AmazonRdsForOraclePartitionOption",
    "AmazonRdsForSqlServerAuthenticationType",
    "AvroCompressionCodec",
    "AzureFunctionActivityMethod",
    "AzureSearchIndexWriteBehaviorType",
    "AzureSqlDWAuthenticationType",
    "AzureSqlDatabaseAuthenticationType",
    "AzureSqlMIAuthenticationType",
    "AzureStorageAuthenticationType",
    "BigDataPoolReferenceType",
    "BlobEventType",
    "CassandraSourceReadConsistencyLevels",
    "CellOutputType",
    "CompressionCodec",
    "ConfigurationType",
    "CopyBehaviorType",
    "CreateMode",
    "CredentialReferenceType",
    "DataFlowComputeType",
    "DataFlowDebugCommandType",
    "DataFlowReferenceType",
    "DatasetCompressionLevel",
    "DatasetReferenceType",
    "DayOfWeek",
    "Db2AuthenticationType",
    "DependencyCondition",
    "DynamicsAuthenticationType",
    "DynamicsDeploymentType",
    "DynamicsServicePrincipalCredentialType",
    "DynamicsSinkWriteBehavior",
    "Enum13",
    "EventSubscriptionStatus",
    "ExpressionType",
    "ExpressionV2Type",
    "FtpAuthenticationType",
    "GoogleAdWordsAuthenticationType",
    "GoogleBigQueryAuthenticationType",
    "GoogleBigQueryV2AuthenticationType",
    "GreenplumAuthenticationType",
    "HBaseAuthenticationType",
    "HDInsightActivityDebugInfoOption",
    "HdiNodeTypes",
    "HiveAuthenticationType",
    "HiveServerType",
    "HiveThriftTransportProtocol",
    "HttpAuthenticationType",
    "ImpalaAuthenticationType",
    "IntegrationRuntimeEdition",
    "IntegrationRuntimeEntityReferenceType",
    "IntegrationRuntimeLicenseType",
    "IntegrationRuntimeReferenceType",
    "IntegrationRuntimeSsisCatalogPricingTier",
    "IntegrationRuntimeState",
    "IntegrationRuntimeType",
    "JsonFormatFilePattern",
    "JsonWriteFilePattern",
    "LivyStates",
    "ManagedVirtualNetworkReferenceType",
    "MongoDbAuthenticationType",
    "NetezzaPartitionOption",
    "NodeSize",
    "NodeSizeFamily",
    "NotebookParameterType",
    "NotebookReferenceType",
    "ODataAadServicePrincipalCredentialType",
    "ODataAuthenticationType",
    "OracleAuthenticationType",
    "OraclePartitionOption",
    "OrcCompressionCodec",
    "ParameterType",
    "ParquetCompressionCodecEnum",
    "PhoenixAuthenticationType",
    "PipelineReferenceType",
    "PluginCurrentState",
    "PolybaseSettingsRejectType",
    "PrestoAuthenticationType",
    "RecurrenceFrequency",
    "RequestStatus",
    "ResourceIdentityType",
    "ResourceStatus",
    "RestServiceAuthenticationType",
    "RunQueryFilterOperand",
    "RunQueryFilterOperator",
    "RunQueryOrder",
    "RunQueryOrderByField",
    "SalesforceSinkWriteBehavior",
    "SalesforceSourceReadBehavior",
    "SalesforceV2SinkWriteBehavior",
    "SapCloudForCustomerSinkWriteBehavior",
    "SapHanaAuthenticationType",
    "SapHanaPartitionOption",
    "SapTablePartitionOption",
    "SchedulerCurrentState",
    "ScriptActivityLogDestination",
    "ScriptActivityParameterDirection",
    "ScriptActivityParameterType",
    "ScriptType",
    "ServiceNowAuthenticationType",
    "ServiceNowV2AuthenticationType",
    "SftpAuthenticationType",
    "SnowflakeAuthenticationType",
    "SparkAuthenticationType",
    "SparkBatchJobResultType",
    "SparkConfigurationReferenceType",
    "SparkErrorSource",
    "SparkJobReferenceType",
    "SparkJobType",
    "SparkServerType",
    "SparkThriftTransportProtocol",
    "SqlAlwaysEncryptedAkvAuthType",
    "SqlConnectionType",
    "SqlPartitionOption",
    "SqlPoolReferenceType",
    "SqlScriptType",
    "SqlServerAuthenticationType",
    "SsisLogLocationType",
    "SsisPackageLocationType",
    "StoredProcedureParameterType",
    "SybaseAuthenticationType",
    "TeamDeskAuthenticationType",
    "TeradataAuthenticationType",
    "TeradataPartitionOption",
    "TriggerReferenceType",
    "TriggerRunStatus",
    "TriggerRuntimeState",
    "TumblingWindowFrequency",
    "Type",
    "VariableType",
    "WebActivityMethod",
    "WebAuthenticationType",
    "WebHookActivityMethod",
    "ZendeskAuthenticationType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
